C FIGURE 4.9.1
      IMPLICIT DOUBLE PRECISION(A-H,O-Z)                                
C                             N = NUMBER OF GRID POINTS                 
      PARAMETER (N=100,M=2*N-2)
      DIMENSION A(M,-2:2),U(M),B(M)
      DX = 1.D0/N                                                       
C                             THE COLUMNS OF A ARE THE DIAGONALS OF THE 
C                             MATRIX.  B IS THE RIGHT HAND SIDE.        
      DO 5 I=1,M                                                        
         B(I) = 0.0                                                     
         A(I,-2) = 1.0
         A(I,-1) = 0.0
         A(I,0) =-2.0
         A(I,1) = 0.0
         IF (MOD(I,2).EQ.1) A(I,1) = -DX**2
         A(I,2) = 1.0
    5 CONTINUE                                                          
      B(M-1) = -1.0                                                     
      A(2,-1) = 2/DX**2
C                             CALL LBAND0                                
      L = 2                                                             
      CALL LBAND0(A,U,B,M,L)                                           
C                             CALCULATE MAXIMUM ERROR IN U (ODD         
C                             COMPONENTS OF SOLUTION VECTOR)            
      ERMAX = 0.0                                                       
      DO 10 I=1,N-1                                                     
         XI = I*DX                                                      
         SOL = -0.5*XI**3 + 1.5*XI**2                                   
         ERMAX = MAX(ERMAX,ABS(U(2*I-1)-SOL))                           
   10 CONTINUE                                                          
      PRINT 15, ERMAX                                                   
   15 FORMAT (E15.5)                                                    
      STOP                                                              
      END                                                               

      include "fig043.f"
